org.apache.hadoop.yarn.server.nodemanager.webapp.dao

## Class ContainerInfo

- java.lang.Object
- - org.apache.hadoop.yarn.server.nodemanager.webapp.dao.ContainerInfo

-     public class ContainerInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `containerLogFiles`
    `protected String` | `containerLogsLink`
    `protected String` | `containerLogsShortLink`
    `protected String` | `diagnostics`
    `protected int` | `exitCode`
    `protected String` | `exitStatus`
    `protected String` | `id`
    `protected String` | `nodeId`
    `protected String` | `state`
    `protected long` | `totalMemoryNeededMB`
    `protected long` | `totalVCoresNeeded`
    `protected String` | `user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerInfo()`
    `ContainerInfo(Context nmContext, Container container)`
    `ContainerInfo(Context nmContext, Container container, String requestUri, String pathPrefix, String remoteUser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getContainerLogFiles()`
    `String` | `getDiagnostics()`
    `String` | `getExecutionType()`
    `int` | `getExitCode()`
    `String` | `getExitStatus()`
    `String` | `getId()`
    `String` | `getLogLink()`
    `long` | `getMemoryNeeded()`
    `String` | `getNodeId()`
    `String` | `getShortLogLink()`
    `String` | `getState()`
    `String` | `getUser()`
    `long` | `getVCoresNeeded()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### state

          protected String state

    - #### exitCode

          protected int exitCode

    - #### diagnostics

          protected String diagnostics

    - #### user

          protected String user

    - #### totalMemoryNeededMB

          protected long totalMemoryNeededMB

    - #### totalVCoresNeeded

          protected long totalVCoresNeeded

    - #### containerLogsLink

          protected String containerLogsLink

    - #### nodeId

          protected String nodeId

    - #### containerLogsShortLink

          protected String containerLogsShortLink

    - #### exitStatus

          protected String exitStatus

    - #### containerLogFiles

          protected List<String> containerLogFiles

  - ### Constructor Detail

    - #### ContainerInfo

          public ContainerInfo()

    - #### ContainerInfo

          public ContainerInfo(Context nmContext,
                               Container container)

    - #### ContainerInfo

          public ContainerInfo(Context nmContext,
                               Container container,
                               String requestUri,
                               String pathPrefix,
                               String remoteUser)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getNodeId

          public String getNodeId()

    - #### getState

          public String getState()

    - #### getExitCode

          public int getExitCode()

    - #### getExitStatus

          public String getExitStatus()

    - #### getDiagnostics

          public String getDiagnostics()

    - #### getUser

          public String getUser()

    - #### getShortLogLink

          public String getShortLogLink()

    - #### getLogLink

          public String getLogLink()

    - #### getMemoryNeeded

          public long getMemoryNeeded()

    - #### getVCoresNeeded

          public long getVCoresNeeded()

    - #### getExecutionType

          public String getExecutionType()

    - #### getContainerLogFiles

          public List<String> getContainerLogFiles()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.